﻿using Syncfusion.SfAutoComplete.XForms;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ComboBox
{

    public partial class MainPage : ContentPage
    {
        EmployeeViewModel viewModel = new EmployeeViewModel();
        public MainPage()
        {
            InitializeComponent();
            this.BindingContext = viewModel;
        }

        private void Entry_Completed(object sender, EventArgs e)
        {
            Entry entry = sender as Entry;
            if (entry != null && !string.IsNullOrEmpty(entry.Text))
            {
                viewModel.EmployeeCollection.Add(new Employee() { Name = entry.Text, ID = 1 });
            }

            entry.Text = string.Empty;
        }
    }

    public class Employee
    {
        private int id;
        public int ID
        {
            get { return id; }
            set { id = value; }
        }
        private string name;
        public string Name
        {
            get { return name; }
            set { name = value; }
        }
    }

    public class EmployeeViewModel : INotifyPropertyChanged
    {

        private ObservableCollection<Employee> employeeCollection;

        private ObservableCollection<Employee> selecedEmployee;

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string name)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(name));
        }

        public ObservableCollection<Employee> SelecedEmployee
        {
            get { return selecedEmployee; }
            set
            {
                selecedEmployee = value;
                OnPropertyChanged("SelecedEmployee");
            }
        }
        public ObservableCollection<Employee> EmployeeCollection
        {
            get { return employeeCollection; }
            set
            {
                employeeCollection = value;
                OnPropertyChanged("EmployeeCollection");
            }
        }
        public EmployeeViewModel()
        {
            EmployeeCollection = new ObservableCollection<Employee>()
            {
                new Employee(){ID = 0, Name = "Aldan"},
                new Employee(){ID = 1, Name = "Aldrin"},
                new Employee(){ID = 2, Name = "Alan"},
                new Employee(){ID = 3, Name = "Aaron"}
            };
        }
    }
}

